Closed Bug 955469 Opened 8 years ago Closed 8 years ago

Update to Mozilla 23

Categories

(Chat Core :: General, defect)

defect
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: aleth, Assigned: clokep)

References

()

Details

Attachments

(1 file, 3 obsolete files)

*** Original post on bio 2032 at 2013-07-06 17:26:00 UTC ***

+++ clone
Blocks: 955470
Attached patch Patch (obsolete) — Splinter Review
*** Original post on bio 2032 as attmnt 2794 at 2013-08-28 10:41:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354564 - Flags: review?(florian)
Assignee: nobody → clokep
Status: NEW → ASSIGNED
Comment on attachment 8354564 [details] [diff] [review]
Patch

*** Original change on bio 2032 attmnt 2794 at 2013-08-28 23:27:45 UTC ***

This looked too good to be true and was indeed too good to be true.

First for Mac universal builds, we need to port changes to flight.mk (I'll attach a diff).

Then, I get plenty of warnings like this:
Can't open perl script "/Users/florian/src/mozilla/build/unix/mddepend.pl": No such file or directory
We need to port http://hg.mozilla.org/releases/comm-release/rev/60e9936a1bdb

Then my universal build fails a little bit later with:
Makefile:60: /Users/florian/src/mozilla/ipc/app/defs.mk: No such file or directory
We need to port http://hg.mozilla.org/comm-central/rev/0bf5ed8e19a0

Then... it finally worked! \o/
There are new warnings, but we'll handle them in follow-ups.
Attachment #8354564 - Flags: review?(florian) → review-
Attached patch Diff of flight.mk (obsolete) — Splinter Review
*** Original post on bio 2032 as attmnt 2800 at 2013-08-28 23:28:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attached patch Patch v2 (obsolete) — Splinter Review
*** Original post on bio 2032 as attmnt 2804 at 2013-08-30 01:47:00 UTC ***

Porting all the changes. Seems to work fine on Windows still. And we've had a Windows nightly again so...we should be able to check this in then.
Attachment #8354574 - Flags: review?(florian)
Comment on attachment 8354564 [details] [diff] [review]
Patch

*** Original change on bio 2032 attmnt 2794 at 2013-08-30 01:47:16 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354564 - Attachment is obsolete: true
Comment on attachment 8354570 [details] [diff] [review]
Diff of flight.mk

*** Original change on bio 2032 attmnt 2800 at 2013-08-30 01:47:16 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354570 - Attachment is obsolete: true
Attached patch Patch v2.1Splinter Review
*** Original post on bio 2032 as attmnt 2805 at 2013-08-30 10:42:00 UTC ***

hg exported as separate patches.
Attachment #8354575 - Flags: review?(florian)
Comment on attachment 8354574 [details] [diff] [review]
Patch v2

*** Original change on bio 2032 attmnt 2804 at 2013-08-30 10:42:14 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8354574 - Attachment is obsolete: true
Attachment #8354574 - Flags: review?(florian)
Comment on attachment 8354575 [details] [diff] [review]
Patch v2.1

*** Original change on bio 2032 attmnt 2805 at 2013-08-30 12:24:27 UTC ***

Thanks!
Attachment #8354575 - Flags: review?(florian) → review+
*** Original post on bio 2032 at 2013-08-30 12:31:24 UTC ***

http://hg.instantbird.org/instantbird/rev/43a85318150a
http://hg.instantbird.org/instantbird/rev/1f6032728cd8
http://hg.instantbird.org/instantbird/rev/6d81699bb133
http://hg.instantbird.org/instantbird/rev/0ebe342b367a

Let's file follow ups for warnings, etc. :)
Status: ASSIGNED → RESOLVED
Closed: 8 years ago
Resolution: --- → FIXED
Target Milestone: --- → 1.5
Depends on: 955583
Depends on: 955738
You need to log in before you can comment on or make changes to this bug.